<?php
/**
 * Copyright © 2019 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile


?>
<?php
$storeManager = \Magento\Framework\App\ObjectManager::getInstance()->get('\Magento\Store\Model\StoreManagerInterface');
$urlMedia = $storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);
?>
<div class="block newsletter block-subscribe popup" style="display:none;">
	<div id="popup-newsletter">
        <form class="form subscribe"
            novalidate
            action="<?php /* @escapeNotVerified */ echo $block->getFormActionUrl() ?>"
            method="post"
            id="newsletter-popup-validate-detail">
            <?php echo $block->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId('newsletter_popup')->toHtml();?>
        </form>
    </div>
</div>
<script type="text/javascript">
	require(['jquery', 'mage/cookies', 'Magento_Ui/js/modal/modal'], 
		function($, cookie, modal){
			if(!parseInt(Themecfg.newsletter.enabled)) return;
	        
	        (function(selector){
	            var popupCookie = $.cookie('popupNewsletterOff');
	            var overlay = Themecfg.newsletter.overlayColor;
	            if(!popupCookie || popupCookie == 'undefined'){
	                var $content = $(selector);
	                var color   = Themecfg.newsletter.background_color;
	                var timeDelay = parseInt(Themecfg.newsletter.timeDelay);
	                var autoClose = Themecfg.newsletter.autoClose;
	                var timeClose = timeDelay + parseInt(Themecfg.newsletter.timeClose);
	                var imageUrl = "<?php echo $urlMedia; ?>" + 'magiccart/newsletter/' + Themecfg.newsletter.background_image;
	                var popup   = $('#popup-newsletter', $content);
	                var pwidth  = Themecfg.newsletter.width;
	                var pheight = Themecfg.newsletter.height;
	                pwidth   = typeof pwidth  !== 'undefined' ? pwidth : 800;
	                pheight  = typeof pheight !== 'undefined' ? pheight : 400;
	                overlay  = typeof overlay !== 'undefined' ? overlay : '#363636';
	                if(Themecfg.newsletter.background_image) popup.css('background-image', 'url(' + imageUrl + ')');
					else if(color) popup.css('background-color', color);
					
	                setTimeout( function() {
                        modal({
                            type: 'popup',
                            modalClass: 'popup-newsletter',
                            responsive: true, 
							buttons: false,
							closed: function(){
								$('html').removeClass('has-newsletter');                                       
							}                       	
                        }, popup);
						popup.modal('openModal');
						$('html').addClass('has-newsletter');
						
	                    $(".modal-popup .modal-inner-wrap").css({ "width":pwidth, "height":pheight }); 
	                }, timeDelay);
	                if(Themecfg.newsletter.autoClose > 0) setTimeout(function(){ popup.modal('closeModal')}, timeClose);
	                $('.subscribe-bottom input', popup).on('click', function(){
	                    if($(this).parent().find('input:checked').length){
	                        $.cookie('popupNewsletterOff', true);
	                    } else {
	                        $.cookie('popupNewsletterOff', undefined);
	                    }
	                });
	                if(Themecfg.newsletter.firstOnly > 0) $.cookie('popupNewsletterOff', true);
	                popup.find('.actions button').on('click', function(){
						var dataForm = $('#newsletter-popup-validate-detail');
   						if($(dataForm).validation() && $(dataForm).validation('isValid')){
							$.cookie('popupNewsletterOff', true);
							$.cookie('popupNewsletterMessages', true, {domain: document.domain});
						}
	                });
	                $('.not-interested').click(function() {
	                	popup.modal('closeModal');
					});
	            } else {
	                if($.cookie('popupNewsletterMessages')){
	                    var $messages = $('.messages').attr('id', 'popupNewsletterMessages').wrap( "<div></div>" );
                       	modal({
                            type: 'popup',
                            modalClass: 'popup-messages',
                            responsive: true, 
                            buttons: false                       	
                        }, $messages);
	                    $messages.modal('openModal');
	                    $.cookie('popupNewsletterMessages', '', {domain: document.domain});
	                }
	            }

	        })(".block-subscribe.popup");
	});
</script>
